This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1462146 - Access Web Console Cockpit not compatible with Windows VMs
Access Web Console Cockpit not compatible with Windows VMs
Status: VERIFIED
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
unspecified Severity medium
: GA
: 5.7.4
Assigned To: Brian McLaughlin
Vatsal Parekh
ui:button
: ZStream
Depends On: 1447100
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-16 06:24 EDT by Vatsal Parekh
Modified: 2017-09-19 05:26 EDT (History)
5 users (show)

See Also:
Fixed In Version: 5.7.4.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: Bug
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: CFME Core


Attachments (Terms of Use)

  None (edit)
Description Vatsal Parekh 2017-06-16 06:24:31 EDT
Description of problem:
This is a clone of https://bugzilla.redhat.com/show_bug.cgi?id=1447100 but for version 5.7

Version-Release number of selected component (if applicable):
Version 5.7.3.1.20170608124102_4b35a9e

How reproducible:
100%

Steps to Reproduce:
1.In a Windows VM -> under 'Access' -> Web Console
2.
3.

Actual results:
Doesn't open anything

Expected results:
The button should be disabled as the Cockpit is not supported on Windows

Additional info:
Comment 4 CFME Bot 2017-06-30 15:50:58 EDT
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/f159817e51adf8c4d4c20fbdb3b220b1c828cbdb

commit f159817e51adf8c4d4c20fbdb3b220b1c828cbdb
Author:     Milan Zázrivec <mzazrivec@redhat.com>
AuthorDate: Wed Jun 7 16:21:58 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 30 15:45:52 2017 -0400

    Merge pull request #1282 from bmclaughlin/cockpit-doesnt-support-windows
    
    Disable Web Console button when VM's platform is Windows
    (cherry picked from commit 5ea3f5124a3361cf4a9f161187661e43342ab26f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1462146

 app/helpers/application_helper/button/cockpit_console.rb     |  5 +++++
 .../application_helper/buttons/cockpit_console_spec.rb       | 12 ++++++++++++
 2 files changed, 17 insertions(+)
Comment 5 Vatsal Parekh 2017-09-19 05:26:20 EDT
Able to verify this on Version 5.7.4.0.20170913182424_63a1e18

Note You need to log in before you can comment on or make changes to this bug.